Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.describeprocess
Class LiteralOutput

    java.lang.Object
      org.deegree.ogcwebservices.wps.describeprocess.LiteralOutput

Direct Known Subclasses:
  LiteralInput

    public class LiteralOutput

extends Object

LiteralOutput.java Created on 09.03.2006. 22:50:41h Description of a literal output (or input).

Version:
  $Revision: 18195 $, $Date:20.03.2007$
Author:
  Christian Kiehle, Christian Heier, last edited by: $Author:wanhoff$

Field Summary
`protected OWSMetadata` | `dataType` Data type of this set of values (e.g. integer, real, etc).
`protected SupportedUOMs` | `supportedUOMs` List of supported units of measure for this input or output.

Constructor Summary
`LiteralOutput(OWSMetadata domainMetadataType, SupportedUOMs supportedUOMsType)`

Method Summary
`OWSMetadata` | `getDataType()`
`SupportedUOMs` | `getSupportedUOMs()`
`void` | `setDataType(OWSMetadata value)`
`void` | `setSupportedUOMs(SupportedUOMs value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataType

    protected OWSMetadata dataType

  Data type of this set of values (e.g. integer, real, etc). This data type metadata should be included for each quantity whose data type is not a string.

### supportedUOMs

    protected SupportedUOMs supportedUOMs

  List of supported units of measure for this input or output. This element should be included when this literal has a unit of measure (e.g., "meters", without a more complete reference system). Not necessary for a count, which has no units.

Constructor Detail

### LiteralOutput

    public LiteralOutput(OWSMetadata domainMetadataType,
                         SupportedUOMs supportedUOMsType)

Parameters:
  `domainMetadataType` -
  `supportedUOMsType` -

Method Detail

### getDataType

    public OWSMetadata getDataType()

  Returns:
    Returns the dataType.

### setDataType

    public void setDataType(OWSMetadata value)

  Parameters:
    `value` - The dataType to set.

### getSupportedUOMs

    public SupportedUOMs getSupportedUOMs()

  Returns:
    the supportedUOMs.

### setSupportedUOMs

    public void setSupportedUOMs(SupportedUOMs value)

  Parameters:
    `value` - The supportedUOMs to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org